# Ferdium: All-in-One Messaging Application

Ferdium is a desktop application that allows you to combine all your messaging services into one place. It's a fork of Franz and Ferdi, designed to help you manage multiple chat and communication platforms without needing to switch between numerous browser tabs or apps.

**Note:** Ferdium is typically a desktop application you install on your computer, not a web service you access via a browser within the Changemaker suite in the same way as other listed web apps. However, if it's been containerized and made accessible via a web interface in your specific Changemaker setup (e.g., via Kasm or a similar VNC/RDP in Docker setup), the access method would be specific to that.

Assuming it's accessible via a web URL in your Changemaker instance:

## Key Features (General Ferdium Features)

*   **Service Integration**: Supports a vast number of services (Slack, WhatsApp, Telegram, Discord, Gmail, Messenger, Twitter, and many more).
*   **Unified Interface**: Manage all your communication from a single window.
*   **Workspaces**: Organize services into different workspaces (e.g., personal, work).
*   **Customization**: Themes, notifications, and service-specific settings.
*   **Cross-Platform**: Available for Windows, macOS, and Linux (as a desktop app).
*   **Open Source**: Community-driven development.

## Documentation

For more detailed information about Ferdium, visit the [official repository](https://github.com/ferdium/ferdium-app).

## Getting Started with Ferdium (Web Access within Changemaker)

### Accessing Ferdium (If Web-Accessible)
1.  **URL**: Access Ferdium locally via `http://localhost:3002/` (or your configured external URL). This URL implies it's running as a web-accessible service in your Docker setup.
2.  **Setup/Login**: 
    *   You might be presented with a desktop-like interface within your browser.
    *   The first step would be to add services (e.g., connect your Slack, WhatsApp accounts).

### Basic Usage (General Ferdium Workflow)

1.  **Add Services**:
    *   Look for an option to "Add a new service" or a similar button.
    *   Browse the list of available services and select the ones you use.
    *   You will need to log in to each service individually within Ferdium (e.g., enter your Slack credentials, scan a WhatsApp QR code).

2.  **Organize Services**:
    *   Services will typically appear in a sidebar.
    *   You can reorder them or group them into workspaces if the feature is prominent in the web version.

3.  **Using Services**:
    *   Click on a service in the sidebar to open its interface within Ferdium.
    *   Interact with it as you normally would (send messages, check notifications).

4.  **Manage Notifications**: Configure how you want to receive notifications for each service to avoid being overwhelmed.

## Use Cases within Changemaker

*   **Centralized Communication**: For community managers or team members who need to monitor and respond across multiple platforms (Discord, Telegram, Slack, email, etc.) without constantly switching browser tabs or apps.
*   **Improved Focus**: Reduces distractions by having all communication in one place.

## Editing the Site

Ferdium is a messaging application. It is not used for editing this documentation site. Site editing is done via **Code Server**.

## Further Information

*   **Ferdium Official Website**: [https://ferdium.org/](https://ferdium.org/)
*   **Ferdium GitHub**: [https://github.com/ferdium/ferdium-app](https://github.com/ferdium/ferdium-app) (for the desktop app, but may have info relevant to a containerized version if that's what you are running).

**Important Consideration for Changemaker**: If Ferdium is indeed running as a web-accessible service at `http://localhost:3002/`, its setup and usage might be slightly different from the standard desktop application. The documentation specific to the Docker image or method used to deploy it within Changemaker would be most relevant.
