# Listmonk: Self-Hosted Newsletter & Mailing List Manager

Listmonk is a powerful, self-hosted newsletter and mailing list manager. It gives you complete control over your email campaigns, subscriber data, and messaging without relying on third-party services that might have restrictive terms, high costs, or data privacy concerns. It's ideal for building and engaging with your community.

## Key Features

*   **Subscriber Management**: Import, organize, and segment your subscriber lists.
*   **Campaign Creation**: Design and send email campaigns using rich text or plain Markdown.
*   **Templating**: Create reusable email templates for consistent branding.
*   **Analytics**: Track campaign performance with metrics like open rates, click-through rates, etc.
*   **Double Opt-In**: Ensure compliance and list quality with double opt-in mechanisms.
*   **Self-Hosted**: Full ownership of your data and infrastructure.
*   **API Access**: Integrate Listmonk with other systems programmatically.
*   **Multi-lingual**: Supports multiple languages.

## Documentation

For more detailed information about Listmonk, visit the [official documentation](https://listmonk.app/docs/).

## Getting Started with Listmonk

### Accessing Listmonk
1.  **URL**: Access Listmonk locally via `http://localhost:9000/` (or your configured external URL).
2.  **Login**: You will need to log in with the administrator credentials you configured during the Changemaker setup or the first time you accessed Listmonk.

### Basic Workflow

1.  **Configure Mail Settings (Important First Step)**:
    *   After logging in for the first time, navigate to **Settings > SMTP**.
    *   You MUST configure an SMTP server for Listmonk to be able to send emails. This could be a transactional email service (like SendGrid, Mailgun, Amazon SES - some offer free tiers) or your own mail server.
    *   Enter the SMTP host, port, username, and password for your chosen email provider.
    *   Send a test email from Listmonk to verify the settings.

2.  **Create a Mailing List**:
    *   Go to **Lists** and click "New List".
    *   Give your list a name (e.g., "Monthly Newsletter Subscribers"), a description, and choose its type (public or private).
    *   Set opt-in preferences (single or double opt-in).

3.  **Import Subscribers**:
    *   Go to **Subscribers**.
    *   You can add subscribers manually or import them from a CSV file.
    *   Ensure you have consent from your subscribers before adding them.
    *   Map CSV columns to Listmonk fields (email, name, etc.).

4.  **Create an Email Template (Optional but Recommended)**:
    *   Go to **Templates** and click "New Template".
    *   Design a reusable HTML or Markdown template for your emails to maintain consistent branding.
    *   Use template variables (e.g., `{{ .Subscriber.Email }}`, `{{ .Subscriber.Name }}`) to personalize emails.

5.  **Create and Send a Campaign**:
    *   Go to **Campaigns** and click "New Campaign".
    *   **Name**: Give your campaign a descriptive name.
    *   **Subject**: Write a compelling email subject line.
    *   **Lists**: Select the mailing list(s) to send the campaign to.
    *   **Content**: Write your email content. You can choose:
        *   **Rich Text Editor**: A WYSIWYG editor.
        *   **Plain Text + Markdown**: Write in Markdown for simplicity and version control friendliness.
        *   **Use a Template**: Select one of your pre-designed templates and fill in the content areas.
    *   **Send Test Email**: Always send a test email to yourself or a small group to check formatting and links before sending to your entire list.
    *   **Schedule or Send**: You can schedule the campaign to be sent at a later time or send it immediately.

6.  **Analyze Campaign Performance**:
    *   After a campaign is sent, go to **Campaigns**, click on the campaign name, and view its statistics (sent, opened, clicked, etc.).

## Further Information

For comprehensive details on all Listmonk features, advanced configurations (like bounce handling, API usage), and troubleshooting, please consult the [official Listmonk Documentation](https://listmonk.app/docs/).
